AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- CacheObject

## Index

### Methods

- clear
- getItem
- removeItem
- setItem

## Methods

### Static clear

- clear(): void

- - Defined in cache/src/Utils/CacheUtils.ts:83

  #### Returns void

### Static getItem

- getItem(key: string): string | null

- - Defined in cache/src/Utils/CacheUtils.ts:87

  #### Parameters

  - ##### key: string

  #### Returns string | null

### Static removeItem

- removeItem(key: string): void

- - Defined in cache/src/Utils/CacheUtils.ts:95

  #### Parameters

  - ##### key: string

  #### Returns void

### Static setItem

- setItem(key: string, value: string): void

- - Defined in cache/src/Utils/CacheUtils.ts:91

  #### Parameters

  - ##### key: string

  - ##### value: string

  #### Returns void